### Enumeration

# GdkSurfaceEdge

#### Declaration

    enum Gdk.SurfaceEdge

#### Description [src]

Determines a surface edge or corner.

#### Members

`GDK_SURFACE_EDGE_NORTH_WEST`

  The top left corner.

  - Value: `0`
  - Nickname: `north-west`
  - Available since: 4.0
`GDK_SURFACE_EDGE_NORTH`

  The top edge.

  - Value: `1`
  - Nickname: `north`
  - Available since: 4.0
`GDK_SURFACE_EDGE_NORTH_EAST`

  The top right corner.

  - Value: `2`
  - Nickname: `north-east`
  - Available since: 4.0
`GDK_SURFACE_EDGE_WEST`

  The left edge.

  - Value: `3`
  - Nickname: `west`
  - Available since: 4.0
`GDK_SURFACE_EDGE_EAST`

  The right edge.

  - Value: `4`
  - Nickname: `east`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH_WEST`

  The lower left corner.

  - Value: `5`
  - Nickname: `south-west`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH`

  The lower edge.

  - Value: `6`
  - Nickname: `south`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH_EAST`

  The lower right corner.

  - Value: `7`
  - Nickname: `south-east`
  - Available since: 4.0